Bug 2488 - Unable to open the EVMS Engine.
: Unable to open the EVMS Engine.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evms)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-07 19:20 by
Modified: 2005-08-30 13:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-07 19:20:22
[<a href="mailto:root@horror" target="_new">root@horror</a> gorev]# evms

EVMS Command Line Interpreter Version 1.2.0
...
Unable to open the EVMS Engine.  Engine returns code 6.

Strace в дополнительной информации.
Кроме того, вышла новая версия 2.0

---

---
[<a href="mailto:root@horror" target="_new">root@horror</a> gorev]# strace evms
execve(\&quot;/usr/sbin/evms\&quot;, [\&quot;evms\&quot;], [/* 31 vars */]) = 0
uname({sys=\&quot;Linux\&quot;, node=\&quot;horror.avilink\&quot;, ...}) = 0
brk(0)                                  = 0x807c8f0
open(\&quot;/etc/ld.so.preload\&quot;, O_RDONLY)    = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
close(4)                                = 0
open(\&quot;/etc/ld.so.cache\&quot;, O_RDONLY)      = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=44984, ...}) = 0
mmap2(NULL, 44984, PROT_READ, MAP_PRIVATE, 4, 0) = 0x40012000
close(4)                                = 0
open(\&quot;/lib/i686/libdl.so.2\&quot;, O_RDONLY)  = 4
read(4, \&quot;\\177ELF\\1\\1\\1\\0\\0\\0\\0\\0\\0\\0\\0\\0\\3\\0\\3\\0\\1\\0\\0\\0p\\30\\0\\000\&quot;..., 1024) = 1024
fstat64(4, {st_mode=S_IFREG|0755, st_size=8300, ...}) = 0
mmap2(NULL, 11232, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x4001d000
mprotect(0x4001f000, 3040, PROT_NONE)   = 0
mmap2(0x4001f000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 4, 0x1) = 0x4001f000
close(4)                                = 0
open(\&quot;/usr/lib/libdlist.so.1\&quot;, O_RDONLY) = 4
read(4, \&quot;\\177ELF\\1\\1\\1\\0\\0\\0\\0\\0\\0\\0\\0\\0\\3\\0\\3\\0\\1\\0\\0\\0\\20\\f\\0\&quot;..., 1024) = 1024
fstat64(4, {st_mode=S_IFREG|0755, st_size=10960, ...}) = 0
mmap2(NULL, 14068, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x40020000
mprotect(0x40023000, 1780, PROT_NONE)   = 0
mmap2(0x40023000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 4, 0x2) = 0x40023000
close(4)                                = 0
open(\&quot;/usr/lib/libevms.so.1\&quot;, O_RDONLY) = 4
read(4, \&quot;\\177ELF\\1\\1\\1\\0\\0\\0\\0\\0\\0\\0\\0\\0\\3\\0\\3\\0\\1\\0\\0\\0\\260I\\0\&quot;..., 1024) = 1024
fstat64(4, {st_mode=S_IFREG|0755, st_size=224624, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40024000
mmap2(NULL, 252320, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x40025000
mprotect(0x4005c000, 27040, PROT_NONE)  = 0
mmap2(0x4005c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 4, 0x36) = 0x4005c000
mmap2(0x4005d000, 22944, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4005d000
close(4)                                = 0
open(\&quot;/lib/i686/libc.so.6\&quot;, O_RDONLY)   = 4
read(4, \&quot;\\177ELF\\1\\1\\1\\0\\0\\0\\0\\0\\0\\0\\0\\0\\3\\0\\3\\0\\1\\0\\0\\0P\\207\\1\&quot;..., 1024) = 1024
fstat64(4, {st_mode=S_IFREG|0755, st_size=1156872, ...}) = 0
mmap2(NULL, 1174016, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x40063000
mprotect(0x40178000, 39424, PROT_NONE)  = 0
mmap2(0x40178000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 4, 0x114) = 0x40178000
mmap2(0x4017e000, 14848, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4017e000
close(4)                                = 0
munmap(0x40012000, 44984)               = 0
fstat64(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 8), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40012000
write(1, \&quot;\\n\&quot;, 1
)                       = 1
write(1, \&quot;\\n\&quot;, 1
)                       = 1
write(1, \&quot;EVMS Command Line Interpreter Ve\&quot;..., 45EVMS Command Line Interpreter Version 1.2.0

) = 45
brk(0)                                  = 0x807c8f0
brk(0x807c918)                          = 0x807c918
brk(0x807d000)                          = 0x807d000
unlink(\&quot;/var/log/evmsEngine.10.log\&quot;)    = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.9.log\&quot;, \&quot;/var/log/evmsEngine.10.log\&quot;) = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.8.log\&quot;, \&quot;/var/log/evmsEngine.9.log\&quot;) = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.7.log\&quot;, \&quot;/var/log/evmsEngine.8.log\&quot;) = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.6.log\&quot;, \&quot;/var/log/evmsEngine.7.log\&quot;) = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.5.log\&quot;, \&quot;/var/log/evmsEngine.6.log\&quot;) = -1 ENOENT (No such file or directory)
rename(\&quot;/var/log/evmsEngine.4.log\&quot;, \&quot;/var/log/evmsEngine.5.log\&quot;) = 0
rename(\&quot;/var/log/evmsEngine.3.log\&quot;, \&quot;/var/log/evmsEngine.4.log\&quot;) = 0
rename(\&quot;/var/log/evmsEngine.2.log\&quot;, \&quot;/var/log/evmsEngine.3.log\&quot;) = 0
rename(\&quot;/var/log/evmsEngine.1.log\&quot;, \&quot;/var/log/evmsEngine.2.log\&quot;) = 0
rename(\&quot;/var/log/evmsEngine.log\&quot;, \&quot;/var/log/evmsEngine.1.log\&quot;) = 0
open(\&quot;/var/log/evmsEngine.log\&quot;, O_WRONLY|O_CREAT|O_TRUNC, 0664) = 4
time(NULL)                              = 1049728474
getpid()                                = 10152
stat64(\&quot;/dev/evms/\&quot;, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64(\&quot;/dev/evms/block_device\&quot;, {st_mode=S_IFBLK|0640, st_rdev=makedev(117, 0), ...}) = 0
open(\&quot;/dev/evms/block_device\&quot;, O_RDWR|O_NONBLOCK) = -1 ENXIO (No such device or address)
time([1049728474])                      = 1049728474
open(\&quot;/etc/localtime\&quot;, O_RDONLY)        = 6
fstat64(6, {st_mode=S_IFREG|0644, st_size=767, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x40013000
read(6, \&quot;TZif\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\v\\0\\0\\0\\v\\0\&quot;..., 4096) = 767
close(6)                                = 0
munmap(0x40013000, 4096)                = 0
uname({sys=\&quot;Linux\&quot;, node=\&quot;horror.avilink\&quot;, ...}) = 0
write(4, \&quot;Apr 07 18:14:34 horror.avilink E\&quot;..., 124) = 124
time([1049728474])                      = 1049728474
uname({sys=\&quot;Linux\&quot;, node=\&quot;horror.avilink\&quot;, ...}) = 0
write(4, \&quot;Apr 07 18:14:34 horror.avilink E\&quot;..., 106) = 106
write(1, \&quot;\\n\\n\&quot;, 2

)                     = 2
write(1, \&quot;Unable to open the EVMS Engine. \&quot;..., 57Unable to open the EVMS Engine.  Engine returns code 6.

) = 57
munmap(0x40012000, 4096)                = 0
_exit(6)                                = ?
[<a href="mailto:root@horror" target="_new">root@horror</a> gorev]#
------- Comment #1 From 2003-04-07 20:50:18 -------
похоже на то что не загружена кернеловая часть evms (как мимнимум ldev_mgr).
Об этом свидетельствует строка:
open(\&quot;/dev/evms/block_device\&quot;, O_RDWR|O_NONBLOCK) = -1 ENXIO (No
such device or address)
--cat
------- Comment #2 From 2003-04-07 20:50:18 -------
похоже на то что не загружена кернеловая часть evms (как мимнимум ldev_mgr).
Об этом свидетельствует строка:
open(\&quot;/dev/evms/block_device\&quot;, O_RDWR|O_NONBLOCK) = -1 ENXIO (No
such device or address)
--cat
------- Comment #3 From 2003-04-07 21:09:26 -------
Замечательно, и как ее загрузить, эту самую часть?
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# ls -l
/dev/evms
total 0
brw-r-----    1 root     root     117,   0 Apr  7 17:46 block_device
------- Comment #4 From 2003-04-07 21:09:26 -------
Замечательно, и как ее загрузить, эту самую часть?
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# ls -l
/dev/evms
total 0
brw-r-----    1 root     root     117,   0 Apr  7 17:46 block_device
------- Comment #5 From 2003-04-07 21:13:55 -------
А, дошло! Тогда в postinstall надо добавить алиас на block-major-117 в
модулес.конф.

edited on: 07-04 21:15
------- Comment #6 From 2003-04-07 21:13:55 -------
А, дошло! Тогда в postinstall надо добавить алиас на block-major-117 в
модулес.конф.

edited on: 07-04 21:15
------- Comment #7 From 2003-04-07 21:22:08 -------
Теперь вот что:
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# evms
EVMS Command Line Interpreter Version 1.2.0

JFS: jfsutils must be version 1.0.9 or later to function properly with this FSIM.

JFS: jfsutils must also reside in the search path specified by PATH.

JFS: Please get/install the current version of jfsutils from <a href="http://oss.software.ibm.com/jfs">http://oss.software.ibm.com/jfs</a>

Engine: The plug-in JFS in module /usr/lib/evms/libjfsfsim-1.1.1.so failed to load.  The plug-in\'s setup_evms_plugin() function failed with error code 38: Function not implemented.

XFS: xfsutils must be version 2.0.0 or later to function properly with this FSIM.

XFS: xfsutils must also reside in the search path specified by PATH.

XFS: Please get/install the current version of xfsutils from <a href="http://oss.sgi.com/projects/xfs">http://oss.sgi.com/projects/xfs</a>

Engine: The plug-in XFS in module /usr/lib/evms/libxfsfsim-0.1.0.so failed to load.  The plug-in\'s setup_evms_plugin() function failed with error code 38: Function not implemented.

Engine: The plug-in Ext2/3 in module /usr/lib/evms/libe2fsim.1.2.1.so requires Engine services API version (8.1.0) which is greater than this Engine\'s services API version (8.0.0).
Engine: The plug-in failed to load.

Engine: WARNING: Volume \&quot;/dev/evms/hda\&quot; was exported by the EVMS kernel but was not discovered by the EVMS Engine.  The kernel\'s in memory copy of the volume is scheduled to be deleted when changes are committed.  Deleting the kernel\'s in memory copy of the volume will not change any data on the disks.  If the volume truly exists, the kernel will discover it after the changes have been committed.

EVMS:
exit

Если с jfs и xfs еще можно понять, но чего он ругается на ext3?
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# rpm -qa|grep evms
evms-1.2.0-alt2
libevms-1.2.0-alt2
evms-plugins-e2fsim-1.32-alt1


edited on: 07-04 21:24
------- Comment #8 From 2003-04-07 21:22:08 -------
Теперь вот что:
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# evms
EVMS Command Line Interpreter Version 1.2.0

JFS: jfsutils must be version 1.0.9 or later to function properly with this FSIM.

JFS: jfsutils must also reside in the search path specified by PATH.

JFS: Please get/install the current version of jfsutils from <a href="http://oss.software.ibm.com/jfs">http://oss.software.ibm.com/jfs</a>

Engine: The plug-in JFS in module /usr/lib/evms/libjfsfsim-1.1.1.so failed to load.  The plug-in\'s setup_evms_plugin() function failed with error code 38: Function not implemented.

XFS: xfsutils must be version 2.0.0 or later to function properly with this FSIM.

XFS: xfsutils must also reside in the search path specified by PATH.

XFS: Please get/install the current version of xfsutils from <a href="http://oss.sgi.com/projects/xfs">http://oss.sgi.com/projects/xfs</a>

Engine: The plug-in XFS in module /usr/lib/evms/libxfsfsim-0.1.0.so failed to load.  The plug-in\'s setup_evms_plugin() function failed with error code 38: Function not implemented.

Engine: The plug-in Ext2/3 in module /usr/lib/evms/libe2fsim.1.2.1.so requires Engine services API version (8.1.0) which is greater than this Engine\'s services API version (8.0.0).
Engine: The plug-in failed to load.

Engine: WARNING: Volume \&quot;/dev/evms/hda\&quot; was exported by the EVMS kernel but was not discovered by the EVMS Engine.  The kernel\'s in memory copy of the volume is scheduled to be deleted when changes are committed.  Deleting the kernel\'s in memory copy of the volume will not change any data on the disks.  If the volume truly exists, the kernel will discover it after the changes have been committed.

EVMS:
exit

Если с jfs и xfs еще можно понять, но чего он ругается на ext3?
[<a href="mailto:root@horror" target="_new">root@horror</a> evms]# rpm -qa|grep evms
evms-1.2.0-alt2
libevms-1.2.0-alt2
evms-plugins-e2fsim-1.32-alt1


edited on: 07-04 21:24
------- Comment #9 From 2003-08-25 19:45:50 -------
Reassign to tren. This is proabbly already fixed.
------- Comment #10 From 2003-08-26 12:16:32 -------
текущий evms -- 2.x
------- Comment #11 From 2003-09-10 11:46:28 -------
Current version is 2.1.1